%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           mate-themes
Version:        1.6.3
Release:        %mkrel 1
Summary:        MATE Desktop themes
Group:          Graphical desktop/MATE
License:        LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires: intltool
BuildRequires: icon-naming-utils
BuildRequires: mate-common
BuildRequires: pkgconfig(gtk-engines-2)
BuildRequires: pkgconfig(gtk+-2.0)

%if %mgaversion < 4
Requires: gtk-engines2
Requires: murrine
%else
Requires: gtk2-theme-engines
Requires: gtk-murrine-engine
%endif
Requires: mate-icon-theme

%description
This packages contains themes for MATE.

%prep
%setup -q

%build
%configure2_5x \
           --enable-all-themes \
           --enable-theme-test \
           --enable-icon-mapping \
           --enable-test-themes \
           --build=%_host
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING README

%{_iconsdir}/ContrastHigh
%{_iconsdir}/ContrastHigh-SVG
%{_iconsdir}/ContrastHighInverse
%{_iconsdir}/mate
%{_iconsdir}/MateLargePrint
%{_iconsdir}/Fog
%{_iconsdir}/ContrastHighLargePrint
%{_iconsdir}/ContrastHighLargePrintInverse
%{_iconsdir}/Quid
%{_datadir}/themes/*


%changelog
* Thu Jan 02 2014 tarakbumba <tarakbumba> 1.6.3-1.mga4
+ Revision: 563935
-New bugfix version: 1.6.3

* Wed Nov 20 2013 diogenese <diogenese> 1.6.2-1.mga4
+ Revision: 551974
- Update mate-themes to 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531054
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461771
- fix file list

  + tarakbumba <tarakbumba>
    - imported package mate-themes

